### Method

# Camel CipherValidity add_certinfo

#### Declaration [src]

    gint
    camel_cipher_validity_add_certinfo (
      CamelCipherValidity* vin,
      CamelCipherValidityMode mode,
      const gchar* name,
      const gchar* email
    )

#### Description [src]

Add a cert info to the signer or encrypter info.

#### Parameters

`mode`

  Type: `CamelCipherValidityMode`

  A `CamelCipherValidityMode`, where to add the additional certificate information.

`name`

  Type: `const gchar*`

  A name to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`email`

  Type: `const gchar*`

  An e-mail address to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

Index of the added certinfo; -1 on error.